Bug 1292687 - gpgv2 aborts in keyid.c:342:keystrlen
gpgv2 aborts in keyid.c:342:keystrlen
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnupg2 (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-17 23:50 EST by Zbigniew Jędrzejewski-Szmek
Modified: 2016-09-02 08:16 EDT (History)
4 users (show)

See Also:
Fixed In Version: gnupg2-2.1.13-1.fc24.x86_64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-02 08:16:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2015-12-17 23:50:28 EST
Description of problem:
This is from a package build, see https://bugzilla.redhat.com/show_bug.cgi?id=1283296#c11.

$ /usr/bin/gpgv2 --quiet --keyring gpgkey-D3994701.gpg pam_u2f-1.0.3.tar.gz.sig pam_u2f-1.0.3.tar.gz
gpgv: keyblock resource '/home/test/.gnupg/gpgkey-D3994701.gpg': No such file or directory
gpgv: Ohhhh jeeee: ... this is a bug (keyid.c:342:keystrlen)
Aborted (core dumped)

File used in the test are available in http://in.waw.pl/~zbyszek/fedora/gpgv-crash/. A coredump is also there.

Version-Release number of selected component (if applicable):
gnupg2-2.1.10-1.fc24.x86_64

How reproducible:
100%, on a few different machines.

Steps to Reproduce:
1. Run command above.
Comment 1 Jan Kurik 2016-02-24 09:09:25 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Tomas Mraz 2016-09-02 08:16:50 EDT
According to my testing this is fixed in the current gnupg2 on Fedora.

Note You need to log in before you can comment on or make changes to this bug.